GoAccess #access.log

GoAccess est un outil pour analyser facilement des logs Apache ou Nginx (et d'autres formats) : générer rapidement une page de rapport HTML, stats ncurses et même surveillance temps réel.

~~~
# apt install goaccess
~~~

Si besoin d'une version plus récente, l'upstream distribue des paquets Debian :haite une version plus récente.

~~~
# echo "deb http://deb.goaccess.io $(lsb_release -cs) main" >> /etc/apt/sources.list.d/goaccess.list
# wget -O - http://deb.goaccess.io/gnugpg.key | apt-key add -
# apt update && apt install goaccess
~~~

Il faut un minimum de configuration pour gérer les dates via un fichier ~/.goaccessrc du type :

~~~
date_format %d/%b/%Y:%T %z
log_format %h - - [%d] "%r" %s %b "%R" "%u"
~~~

Pour générer un rapport HTML (un seul fichier, les styles sont inline) :

~~~
# goaccess -f access.log -a > report.html
~~~
Pour suivre un access.log en temps réel :

~~~
# goaccess -f access.log
~~~

# Erreur

Fatal error has occurred
Error occured at: src/parser.c - parse_log - xxxx
No log format was found on your conf file.

Si cette erreur survient, il faut modifier le fichier de conf /etc/goaccess.conf pour décomenter les valeurs logformat correspondant. 